# frozen_string_literal: true

require "active_support/dependencies/autoload"
require "hashie"
require "typhoeus"

# Avalara Tax calculation service.
module AvataxClient
  extend ActiveSupport::Autoload

  autoload :Configuration
  autoload :Request
  autoload :Response
  autoload :Errors

  class << self
    attr_writer :configuration

    def configuration
      @configuration ||= Configuration.new
    end

    def configure
      yield configuration
    end

    # Resets the configuration back to a new instance. Should only be used in testing.
    def reset
      @configuration = Configuration.new
    end
  end
end
