# frozen_string_literal: true

# Configuration class to manage settings for Avatax
class AvataxClient::Configuration
  attr_accessor :debug, :debug_response, :endpoint, :item_codes, :password, :tax_codes, :username, :version

  # rubocop:disable Metrics/MethodLength
  def initialize
    @item_codes = OpenStruct.new
    @endpoint = nil
    @password = nil
    @tax_codes = OpenStruct.new
    @username = nil
    @version = nil
    @debug = false
    @debug_response = lambda { |response|
      puts "Response Debug"
      puts "Response Code:"
      puts response.code
      puts "Response Body:"
      puts response.body
    }
  end
end
