# frozen_string_literal: true

# Errors from the API response
module AvataxClient::Errors
  # Encapsulates error responses from Avatax api calls.
  class ApiError < StandardError
    attr_reader :response
    # @param response [Typhoeus::Response] response from api call.
    # @return [void]
    def initialize(response = { "error" => {} })
      @response = OpenStruct.new(response["error"])
      super
    end
  end

  # Request timedout
  class TimeoutError < StandardError; end
end
