# frozen_string_literal: true

# Handles modeling of the Transaction when receiving responses from Avatax.
class AvataxClient::Response::Transaction < AvataxClient::Response::Base
  # skipping Address. don't have any need
  property :code, required: true
  property :customer_code, from: :customerVendorCode, required: true
  property :date, required: true
  property :lines, coerce: Array[AvataxClient::Response::LineItem], required: true
  property :status, required: true
  property :total_amount, from: :totalAmount, required: true
  property :total_exempt, from: :totalExempt, required: true
  property :total_tax, from: :totalTax, required: true
  property :total_taxable, from: :totalTaxable, required: true
  property :total_tax_calculated, from: :totalTaxCalculated, required: true
  property :type, required: true
end
